Last modified: 2014-11-13 21:39:46 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61419 - Improving message "databaseerror-text"
Improving message "databaseerror-text"
Status: PATCH_TO_REVIEW
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.24rc
All All
: Normal enhancement (vote)
: ---
Assigned To: Joyce
: easy
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2014-02-15 15:18 UTC by [[kgh]]
Modified: 2014-11-13 21:39 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description [[kgh]] 2014-02-15 15:18:46 UTC
In September this message was introduced which basically only says that there is something in the water.

"A database query error has occurred. This may indicate a bug in the software."

What about rephrasing it to

"A database query error has occurred. Please contact the system administrator. See also the manual on how [[Manual:How to debug#SQL errors|to debug SQL errors]]."

or shorter

"A database query error has occurred. See the manual on how [[Manual:How to debug#SQL errors|to debug SQL errors]]."

Thus it would also provide a hint on how to help the cause. I personally opt for the shorter version. Perhaps you have different ideas on how to rephrase it, if at all.
Comment 1 [[kgh]] 2014-02-15 15:22:36 UTC
Do not know why I removed the "This may ..." part. So the suggestion is:

"A database query error has occurred. This may indicate a bug in the software. See the manual on how [[Manual:How to debug#SQL errors|to debug SQL errors]]."
Comment 2 Nemo 2014-08-30 16:05:54 UTC
I don't understand: what's the intended audience in your proposal? The page you propose to link is meant for sysadmins and devs, while the error message is mainly for users I think.
If you/we want the message to work for users, another page is needed (or some user-centric section in the same page).
Comment 3 [[kgh]] 2014-09-02 19:29:31 UTC
Currently this message has no intended audience and is thus as useless as ... Since my original proposal turns out to be too specific I suggest "A database query error has occurred. This may indicate a bug in the software. Please contact the system administrator." or the like.
Comment 4 Joyce 2014-10-12 07:02:26 UTC
I would like to work on this bug.Please assign me this bug.
Comment 5 Nemo 2014-10-12 07:37:29 UTC
(In reply to Joyce from comment #4)
> I would like to work on this bug.Please assign me this bug.

You can do so yourself now.
https://www.mediawiki.org/wiki/Git/Tutorial explains how to make the most important bug status change, adding a patch. ;-)
Comment 6 Joyce 2014-10-14 16:31:54 UTC
Can I know in which repository is this?
Comment 7 Nemo 2014-10-14 16:38:13 UTC
(In reply to Joyce from comment #6)
> Can I know in which repository is this?

MediaWiki core, see the "product" and "component" above. For the file, see [[mw:Localisation]].
Comment 8 Gerrit Notification Bot 2014-11-06 14:57:42 UTC
Change 171540 had a related patch set uploaded by Joyceg:
My  commit message

https://gerrit.wikimedia.org/r/171540
Comment 9 Gerrit Notification Bot 2014-11-06 16:17:24 UTC
Change 171540 had a related patch set uploaded by Joyceg:
Bug: Bug 61419 - Improving message "databaseerror-text" Change-Id:I55862204ef71f69bc88c79fe2259f7cb8365699a I have fixed the bug by rephrasing the error message

https://gerrit.wikimedia.org/r/171540
Comment 10 Gerrit Notification Bot 2014-11-07 14:30:36 UTC
Change 171562 had a related patch set uploaded by Joyceg:
Improving message "databaseerror-text"

https://gerrit.wikimedia.org/r/171562
Comment 11 Gerrit Notification Bot 2014-11-13 21:39:46 UTC
Change 171540 abandoned by Alex Monk:
Bug: Bug 61419 - Improving message "databaseerror-text" Change-Id:I55862204ef71f69bc88c79fe2259f7cb8365699a I have fixed the bug by rephrasing the error message

https://gerrit.wikimedia.org/r/171540

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links